; INF Monster 3D II NT 4.0
; Copyright 1998, Diamond Multimedia

[DestinationDirs]
MNSTR2_CopyFilesHlp=18
MNSTR2_CopyFilesWin=10
MNSTR2_CopyFilesSys=11
MNSTR2_UninstallFilesSys=11
MNSTR2_CopyFilesDrv=12
MNSTR2_DelFilesSys=11
MNSTR2_Execute=10


[SourceDisksNames]
1="Monster 3D II drivers for NT 4.0",,1

[SourceDisksFiles]
3DFXV2PS.HLP=1,,14220
3DfxV2ps.dll=1,,905216
Csh.dll=1,,50176
fxoem2x.dll=1,,14848
glide2x.dll=1,,390144
RICHED20.DLL=1,,294672
fxgpio.sys=1,,4896
fxptl.sys=1,,6880
NTREMAP.SYS=1,,6336
40Comupd.exe=1,,511424

[Optional Components]
Monster2

[Monster2]
OptionDesc="Monster 3D II"
Tip=%BoardDesc%
CopyFiles=MNSTR2_CopyFilesHlp, MNSTR2_CopyFilesSys, MNSTR2_CopyFilesDrv
Uninstall=MNSTR2_CopyFilesHlp, MNSTR2_CopyFilesDrv, MNSTR2_UninstallFilesSys
DelFiles=MNSTR2_DelFilesSys
addreg=MNSTR2.AddReg
Execute=MNSTR2_Execute
Restart
DiskSize=519944
Type=1

[MNSTR2_CopyFilesHlp]
3DFXV2PS.HLP

[MNSTR2_CopyFilesSys]
3DfxV2ps.dll
Csh.dll
fxoem2x.dll
glide2x.dll
RICHED20.DLL

[MNSTR2_UninstallFilesSys]
3DfxV2ps.dll
fxoem2x.dll
glide2x.dll

[MNSTR2_CopyFilesDrv]
fxgpio.sys
fxptl.sys
NTREMAP.SYS

[MNSTR2_DelFilesSys]
comctl32.bak

[MNSTR2.AddReg]
HKLM,SYSTEM\CurrentControlSet\Services\fxgpio
HKLM,SYSTEM\CurrentControlSet\Services\fxgpio,ErrorControl,1,1
HKLM,SYSTEM\CurrentControlSet\Services\fxgpio,Start,1,2
HKLM,SYSTEM\CurrentControlSet\Services\fxgpio,Type,1,1
HKLM,SYSTEM\CurrentControlSet\Services\fxgpio,Group,,Extended base

HKLM,SYSTEM\CurrentControlSet\Services\fxptl
HKLM,SYSTEM\CurrentControlSet\Services\fxptl,ErrorControl,1,1
HKLM,SYSTEM\CurrentControlSet\Services\fxptl,Start,1,2
HKLM,SYSTEM\CurrentControlSet\Services\fxptl,Type,1,1
HKLM,SYSTEM\CurrentControlSet\Services\fxptl,Group,,Extended base

HKLM,SYSTEM\CurrentControlSet\Services\NTRemap
HKLM,SYSTEM\CurrentControlSet\Services\NTRemap,ErrorControl,1,1
HKLM,SYSTEM\CurrentControlSet\Services\NTRemap,Start,1,4
HKLM,SYSTEM\CurrentControlSet\Services\NTRemap,Type,1,1
HKLM,SYSTEM\CurrentControlSet\Services\NTRemap,Group,,Extended base

HKLM,SOFTWARE\3Dfx Interactive
HKLM,SOFTWARE\3Dfx Interactive\3Dfx Interactive\2.2-2107
HKLM,SOFTWARE\3Dfx Interactive\Glide
HKLM,SOFTWARE\3Dfx Interactive\NTRemap,EnableNTRemap,1,1
HKLM,SOFTWARE\3Dfx Interactive\Voodoo Graphics,REFRESH_512x385,1,72
HKLM,SOFTWARE\3Dfx Interactive\Voodoo Graphics,REFRESH_640x400,1,60
HKLM,SOFTWARE\3Dfx Interactive\Voodoo Graphics,REFRESH_640x480,1,60
HKLM,SOFTWARE\3Dfx Interactive\Voodoo Graphics,REFRESH_800x600,1,60
HKLM,SOFTWARE\3Dfx Interactive\Voodoo Graphics,SST_GAMMAB,1,1069128090
HKLM,SOFTWARE\3Dfx Interactive\Voodoo Graphics,SST_GAMMAG,1,1069128090
HKLM,SOFTWARE\3Dfx Interactive\Voodoo Graphics,SST_GAMMAR,1,1069128090
HKLM,SOFTWARE\Classes\CLSID\{00BD7141-4A41-11d1-89EA-0020AFC43773}
HKLM,SOFTWARE\Classes\CLSID\{00BD7141-4A41-11d1-89EA-0020AFC43773},,,3Dfx Voodoo2 Property Sheet
HKLM,SOFTWARE\Classes\CLSID\{00BD7141-4A41-11d1-89EA-0020AFC43773}\InProcServer32,,,3DfxV2ps.dll
HKLM,SOFTWARE\Classes\CLSID\{00BD7141-4A41-11d1-89EA-0020AFC43773}\InProcServer32,ThreadingModel,,Apartment
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Voodoo2
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Voodoo2,,,{00BD7141-4A41-11d1-89EA-0020AFC43773}

[MNSTR2_Execute]
;DestinationExecuteFileName,SourceExecuteFileName, Parameters, Flag=1 Do not hide Install
,40Comupd.exe,/q,1


